## org.apache.mahout.math.hadoop.similarity.vector
Class DistributedLoglikelihoodVectorSimilarity

    java.lang.Object
      org.apache.mahout.math.hadoop.similarity.vector.AbstractDistributedVectorSimilarity
          org.apache.mahout.math.hadoop.similarity.vector.DistributedLoglikelihoodVectorSimilarity

All Implemented Interfaces:
  DistributedVectorSimilarity

    public class DistributedLoglikelihoodVectorSimilarity

extends AbstractDistributedVectorSimilarity

distributed implementation of loglikelihood as vector similarity measure

Constructor Summary
`DistributedLoglikelihoodVectorSimilarity()`

Method Summary
`protected double` `doComputeResult(int rowA, int rowB, java.lang.Iterable<Cooccurrence> cooccurrences, double weightOfVectorA, double weightOfVectorB, int numberOfColumns)` do the actual similarity computation
`double` `weight(Vector v)` vectors have no weight (NaN) by default, subclasses may override this

Methods inherited from class org.apache.mahout.math.hadoop.similarity.vector.AbstractDistributedVectorSimilarity
`countElements, countElements, similarity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributedLoglikelihoodVectorSimilarity

    public DistributedLoglikelihoodVectorSimilarity()

Method Detail

### doComputeResult

    protected double doComputeResult(int rowA,
                                     int rowB,
                                     java.lang.Iterable<Cooccurrence> cooccurrences,
                                     double weightOfVectorA,
                                     double weightOfVectorB,
                                     int numberOfColumns)

  Description copied from class: `AbstractDistributedVectorSimilarity`
  do the actual similarity computation

  Specified by:
    `doComputeResult` in class `AbstractDistributedVectorSimilarity`
  See Also:
    `DistributedVectorSimilarity.similarity(int, int, Iterable, double, double, int)`

### weight

    public double weight(Vector v)

  Description copied from class: `AbstractDistributedVectorSimilarity`
  vectors have no weight (NaN) by default, subclasses may override this

  Specified by:
    `weight` in interface `DistributedVectorSimilarity`
  Overrides:
    `weight` in class `AbstractDistributedVectorSimilarity`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.